> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new user



## OpenAPI

````yaml /openapi.json post /users
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create a new user
      operationId: UserController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUserDto'
      responses:
        '201':
          description: The user has been successfully created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        '400':
          description: Bad Request.
components:
  schemas:
    CreateUserDto:
      type: object
      properties:
        email:
          type: string
          example: user@example.com
        password:
          type: string
          example: password123
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        provider:
          type: string
        providerId:
          type: string
        image:
          type: string
        isEmailVerified:
          type: boolean
        roles:
          type: array
          items:
            type: string
            enum:
              - user
              - admin
              - project_manager
              - super_admin
      required:
        - email
        - password
    User:
      type: object
      properties: {}

````